[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# ObjectTextToResource

Converts an object stream from a text to a (windows) resource format.

## Declaration

Source position: classesh.inc line 2309

`procedure ObjectTextToResource(`
`Input: TStream;`
`Output: TStream`
`);`

## Description

ObjectTextToResource reads an object stream in text format from Input and writes a resource stream to Output.

Note that for the current implementation of this method in Free Pascal, the output stream should support positioning. (e.g. it should not be a pipe)

## See also

ObjectBinaryToText |  | Converts an object stream from a binary to a text format.
ObjectResourceToText |  | Converts an object stream from a (windows) resource to a text format.